<template>
  <slot
    :connect="isZapierEnabled ? connect : upgradePlan"
    :has-integration="isZapierEnabled"
  />
  <app-zapier-connect-drawer v-model="drawerVisible" />
</template>

<script setup>
import { onMounted, ref } from 'vue';
import AppZapierConnectDrawer from '@/integrations/zapier/components/zapier-connect-drawer.vue';
import { FeatureFlag } from '@/utils/featureFlag';
import { useRouter } from 'vue-router';

const drawerVisible = ref(false);
const connect = () => {
  drawerVisible.value = true;
};
const router = useRouter();
const isZapierEnabled = ref(false);

onMounted(async () => {
  isZapierEnabled.value = FeatureFlag.isFlagEnabled(FeatureFlag.flags.zapier);
});

const upgradePlan = () => {
  router.push('/settings?activeTab=plans');
};

</script>

<script>
export default {
  name: 'AppZapierConnect',
};
</script>
